Packaging - Feature #35743

Introduce foreman-obsolete-packages to remove old packages
11/11/2022 12:56 PM - Ewoud Kohl van Wijngaarden

Status: Closed
Priority: Normal
Assignee: Ewoud Kohl van Wijngaarden
Category: RPMs
Target version: 3.5.2
Difficulty: Fixed in Releases: 3.5.2,3.6.0
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman-p
ackaging/pull/8751,
https://github.com/theforeman/foreman-p
ackaging/pull/8935,
https://github.com/theforeman/foreman-p
ackaging/pull/8996
Description

Sometimes packages are removed from our repositories and we want them to be cleaned up automatically. In case there is no
replacement (like when a Foreman plugin is retired), there is nothing to obsolete it.

Fedora has fedora-obsolete-packages for this purpose. foreman-obsolete-packages should fulfill the same purpose.

Associated revisions

Revision 3ec63178 - 01/18/2023 10:08 AM - Ewoud Kohl van Wijngaarden
Fixes #35743 - Introduce foreman-obsolete-packages
Sometimes packages are removed from our repositories and we want them to

be cleaned up automatically. In case there is no replacement (like when
a Foreman plugin is retired), there is nothing to obsolete it.

On EL7 we could abuse the tfm package, but no such thing exists on EL8.

Fedora has fedora-obsolete-packages for this purpose.
foreman-obsolete-packages should fulfill the same purpose.

History

#1 - 11/11/2022 12:57 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/foreman-packaging/pull/8751 added

#2 - 01/18/2023 10:08 AM - The Foreman Bot
- Fixed in Releases 3.6.0 added

#3 - 01/18/2023 10:22 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman-packaging/pull/8935 added

#4 - 01/18/2023 10:27 AM - Evgeni Golov
- Target version changed from 3.6.0 to 3.5.2
- Fixed in Releases 3.5.2 added

#5 - 01/18/2023 11:01 AM - Ewoud Kohl van Wijngaarden
- Status changed from Ready For Testing to Closed
Applied in changeset foreman-packaging|3ec631787eb63699112b08f5¢c4f7d40d83975ba9.

#6 - 01/27/2023 09:33 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman-packaging/pull/8996 added

#7 - 02/28/2023 03:05 PM - Ewoud Kohl van Wijngaarden
- Triaged changed from No to Yes
